%define version 4.4.0
%define rversion 0.1.0

%define realname SASL
%define modname sasl
%define dirname %{modname}
%define soname %{modname}.so
%define inifile A40_%{modname}.ini

Summary:	Cyrus SASL Extension
Name:		php4-%{modname}
Version:	%{version}_%{rversion}
Release:	%mkrel 1
Group:		System/Servers
License:	PHP License
URL:		http://pecl.php.net/package/sasl
Source0:	sasl-%{rversion}.tar.bz2
Patch0:		sasl-0.1.0-lib64.diff.bz2
BuildRequires:	php4-devel
BuildRequires:	libsasl-devel
BuildRoot:	%{_tmppath}/%{name}-root

%description
SASL is the Simple Authentication and Security Layer (as defined
by RFC 2222). It provides a system for adding plugable
authenticating support to connection-based protocols. The SASL
Extension for PHP makes the Cyrus SASL library functions available
to PHP. It aims to provide a 1-to-1 wrapper around the SASL
library to provide the greatest amount of implementation
flexibility. To that end, it is possible to build both a
client-side and server-side SASL implementation entirely in PHP.

%prep

%setup -q -n sasl-%{rversion}
%patch0 -p0

%build
export SASL_SUB="sasl"
php4ize
%configure2_5x \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}/php4/extensions
install -d %{buildroot}%{_sysconfdir}/php4.d

install -m755 %{soname} %{buildroot}%{_libdir}/php4/extensions/

cat > %{buildroot}%{_sysconfdir}/php4.d/%{inifile} << EOF
extension = %{soname}
EOF

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
[ "../package.xml" != "/" ] && rm -f ../package.xml

%files 
%defattr(-,root,root)
%doc docs tests
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php4.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php4/extensions/%{soname}

%changelog
* Mon Jul 11 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-1mdk
- rebuilt for php-4.4.0 final

* Tue Jul 05 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0-0.RC2.1mdk
- rebuilt for php-4.4.0RC2

* Tue Jun 14 2005 Oden Eriksson <oeriksson@mandriva.com> 4.4.0_0.1.0-0.RC1.1mdk
- rebuilt for php-4.4.0RC1

* Thu Jun 02 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_0.1.0-1mdk
- renamed to php4-*

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandriva.com> 4.3.11_0.1.0-1mdk
- 4.3.11

* Mon Mar 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.1.0-2mdk
- use the %%mkrel macro

* Sat Feb 12 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 4.3.10_0.1.0-1mdk
- initial Mandrakelinux package
- added P0
